Load shared history
curl --request GET \
--url https://api.webless.ai/api/v1/shares/{conversation_history_id}/sessions/{session_id}const options = {method: 'GET'};
fetch('https://api.webless.ai/api/v1/shares/{conversation_history_id}/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.webless.ai/api/v1/shares/{conversation_history_id}/sessions/{session_id}"
response = requests.get(url)
print(response.text){
"status": "success",
"message": "<string>",
"session_id": "<string>",
"template_id": "mr"
}{
"detail": "<string>",
"error": "<string>"
}Session API
Load shared history
Loads a shared history snapshot into a target session.
GET
/
api
/
v1
/
shares
/
{conversation_history_id}
/
sessions
/
{session_id}
Load shared history
curl --request GET \
--url https://api.webless.ai/api/v1/shares/{conversation_history_id}/sessions/{session_id}const options = {method: 'GET'};
fetch('https://api.webless.ai/api/v1/shares/{conversation_history_id}/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.webless.ai/api/v1/shares/{conversation_history_id}/sessions/{session_id}"
response = requests.get(url)
print(response.text){
"status": "success",
"message": "<string>",
"session_id": "<string>",
"template_id": "mr"
}{
"detail": "<string>",
"error": "<string>"
}Shared history snapshots expire after 20 days.
Path Parameters
The shared conversation history ID.
The session ID that should receive the shared history.
Was this page helpful?